## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseasesqlmodelFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SybaseasesqlmodelFactoryImpl

    public interface SybaseasesqlmodelFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SybaseasesqlmodelPackage`

Field Summary
`static SybaseasesqlmodelFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`CacheInfo` `createCacheInfo()` Returns a new object of class 'Cache Info'.
`DeviceItem` `createDeviceItem()` Returns a new object of class 'Device Item'.
`LockPromotionInfo` `createLockPromotionInfo()` Returns a new object of class 'Lock Promotion Info'.
`SegmentThreshold` `createSegmentThreshold()` Returns a new object of class 'Segment Threshold'.
`SybaseASEBaseTable` `createSybaseASEBaseTable()` Returns a new object of class 'Sybase ASE Base Table'.
`SybaseASECache` `createSybaseASECache()` Returns a new object of class 'Sybase ASE Cache'.
`SybaseASECatalog` `createSybaseASECatalog()` Returns a new object of class 'Sybase ASE Catalog'.
`SybaseASECheckConstraint` `createSybaseASECheckConstraint()` Returns a new object of class 'Sybase ASE Check Constraint'.
`SybaseASEColumn` `createSybaseASEColumn()` Returns a new object of class 'Sybase ASE Column'.
`SybaseASEColumnCheckConstraint` `createSybaseASEColumnCheckConstraint()` Returns a new object of class 'Sybase ASE Column Check Constraint'.
`SybaseASEDatabase` `createSybaseASEDatabase()` Returns a new object of class 'Sybase ASE Database'.
`SybaseASEDefault` `createSybaseASEDefault()` Returns a new object of class 'Sybase ASE Default'.
`SybaseASEEncryptionKey` `createSybaseASEEncryptionKey()` Returns a new object of class 'Sybase ASE Encryption Key'.
`SybaseASEFuncBasedIndexMember` `createSybaseASEFuncBasedIndexMember()` Returns a new object of class 'Sybase ASE Func Based Index Member'.
`SybaseASEGroup` `createSybaseASEGroup()` Returns a new object of class 'Sybase ASE Group'.
`SybaseASEIndex` `createSybaseASEIndex()` Returns a new object of class 'Sybase ASE Index'.
`SybaseASEPredefinedDataType` `createSybaseASEPredefinedDataType()` Returns a new object of class 'Sybase ASE Predefined Data Type'.
`SybaseASEPrimaryKey` `createSybaseASEPrimaryKey()` Returns a new object of class 'Sybase ASE Primary Key'.
`SybaseASEPrivilege` `createSybaseASEPrivilege()` Returns a new object of class 'Sybase ASE Privilege'.
`SybaseASEProcedure` `createSybaseASEProcedure()` Returns a new object of class 'Sybase ASE Procedure'.
`SybaseASEProxyTable` `createSybaseASEProxyTable()` Returns a new object of class 'Sybase ASE Proxy Table'.
`SybaseASERole` `createSybaseASERole()` Returns a new object of class 'Sybase ASE Role'.
`SybaseASERule` `createSybaseASERule()` Returns a new object of class 'Sybase ASE Rule'.
`SybaseASESchema` `createSybaseASESchema()` Returns a new object of class 'Sybase ASE Schema'.
`SybaseASESegment` `createSybaseASESegment()` Returns a new object of class 'Sybase ASE Segment'.
`SybaseASETable` `createSybaseASETable()` Returns a new object of class 'Sybase ASE Table'.
`SybaseASETempTable` `createSybaseASETempTable()` Returns a new object of class 'Sybase ASE Temp Table'.
`SybaseASETrigger` `createSybaseASETrigger()` Returns a new object of class 'Sybase ASE Trigger'.
`SybaseASEUniqueConstraint` `createSybaseASEUniqueConstraint()` Returns a new object of class 'Sybase ASE Unique Constraint'.
`SybaseASEUser` `createSybaseASEUser()` Returns a new object of class 'Sybase ASE User'.
`SybaseASEUserDefinedType` `createSybaseASEUserDefinedType()` Returns a new object of class 'Sybase ASE User Defined Type'.
`SybaseASEViewTable` `createSybaseASEViewTable()` Returns a new object of class 'Sybase ASE View Table'.
`SybaseASEWebService` `createSybaseASEWebService()` Returns a new object of class 'Sybase ASE Web Service'.
`SybaseASEWebServiceTable` `createSybaseASEWebServiceTable()` Returns a new object of class 'Sybase ASE Web Service Table'.
`SybaseasesqlmodelPackage` `getSybaseasesqlmodelPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SybaseasesqlmodelFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSybaseASESchema

    SybaseASESchema createSybaseASESchema()

  Returns a new object of class 'Sybase ASE Schema'.

  Returns:
    a new object of class 'Sybase ASE Schema'.

### createSybaseASEDatabase

    SybaseASEDatabase createSybaseASEDatabase()

  Returns a new object of class 'Sybase ASE Database'.

  Returns:
    a new object of class 'Sybase ASE Database'.

### createSybaseASEWebService

    SybaseASEWebService createSybaseASEWebService()

  Returns a new object of class 'Sybase ASE Web Service'.

  Returns:
    a new object of class 'Sybase ASE Web Service'.

### createSybaseASEPredefinedDataType

    SybaseASEPredefinedDataType createSybaseASEPredefinedDataType()

  Returns a new object of class 'Sybase ASE Predefined Data Type'.

  Returns:
    a new object of class 'Sybase ASE Predefined Data Type'.

### createSybaseASECatalog

    SybaseASECatalog createSybaseASECatalog()

  Returns a new object of class 'Sybase ASE Catalog'.

  Returns:
    a new object of class 'Sybase ASE Catalog'.

### createSybaseASEProcedure

    SybaseASEProcedure createSybaseASEProcedure()

  Returns a new object of class 'Sybase ASE Procedure'.

  Returns:
    a new object of class 'Sybase ASE Procedure'.

### createSybaseASEDefault

    SybaseASEDefault createSybaseASEDefault()

  Returns a new object of class 'Sybase ASE Default'.

  Returns:
    a new object of class 'Sybase ASE Default'.

### createSybaseASERule

    SybaseASERule createSybaseASERule()

  Returns a new object of class 'Sybase ASE Rule'.

  Returns:
    a new object of class 'Sybase ASE Rule'.

### createSybaseASEIndex

    SybaseASEIndex createSybaseASEIndex()

  Returns a new object of class 'Sybase ASE Index'.

  Returns:
    a new object of class 'Sybase ASE Index'.

### createSybaseASESegment

    SybaseASESegment createSybaseASESegment()

  Returns a new object of class 'Sybase ASE Segment'.

  Returns:
    a new object of class 'Sybase ASE Segment'.

### createSybaseASEFuncBasedIndexMember

    SybaseASEFuncBasedIndexMember createSybaseASEFuncBasedIndexMember()

  Returns a new object of class 'Sybase ASE Func Based Index Member'.

  Returns:
    a new object of class 'Sybase ASE Func Based Index Member'.

### createSybaseASETable

    SybaseASETable createSybaseASETable()

  Returns a new object of class 'Sybase ASE Table'.

  Returns:
    a new object of class 'Sybase ASE Table'.

### createSybaseASEColumnCheckConstraint

    SybaseASEColumnCheckConstraint createSybaseASEColumnCheckConstraint()

  Returns a new object of class 'Sybase ASE Column Check Constraint'.

  Returns:
    a new object of class 'Sybase ASE Column Check Constraint'.

### createSybaseASEColumn

    SybaseASEColumn createSybaseASEColumn()

  Returns a new object of class 'Sybase ASE Column'.

  Returns:
    a new object of class 'Sybase ASE Column'.

### createSybaseASEUniqueConstraint

    SybaseASEUniqueConstraint createSybaseASEUniqueConstraint()

  Returns a new object of class 'Sybase ASE Unique Constraint'.

  Returns:
    a new object of class 'Sybase ASE Unique Constraint'.

### createSybaseASEPrimaryKey

    SybaseASEPrimaryKey createSybaseASEPrimaryKey()

  Returns a new object of class 'Sybase ASE Primary Key'.

  Returns:
    a new object of class 'Sybase ASE Primary Key'.

### createDeviceItem

    DeviceItem createDeviceItem()

  Returns a new object of class 'Device Item'.

  Returns:
    a new object of class 'Device Item'.

### createSegmentThreshold

    SegmentThreshold createSegmentThreshold()

  Returns a new object of class 'Segment Threshold'.

  Returns:
    a new object of class 'Segment Threshold'.

### createCacheInfo

    CacheInfo createCacheInfo()

  Returns a new object of class 'Cache Info'.

  Returns:
    a new object of class 'Cache Info'.

### createSybaseASEUserDefinedType

    SybaseASEUserDefinedType createSybaseASEUserDefinedType()

  Returns a new object of class 'Sybase ASE User Defined Type'.

  Returns:
    a new object of class 'Sybase ASE User Defined Type'.

### createSybaseASEEncryptionKey

    SybaseASEEncryptionKey createSybaseASEEncryptionKey()

  Returns a new object of class 'Sybase ASE Encryption Key'.

  Returns:
    a new object of class 'Sybase ASE Encryption Key'.

### createLockPromotionInfo

    LockPromotionInfo createLockPromotionInfo()

  Returns a new object of class 'Lock Promotion Info'.

  Returns:
    a new object of class 'Lock Promotion Info'.

### createSybaseASERole

    SybaseASERole createSybaseASERole()

  Returns a new object of class 'Sybase ASE Role'.

  Returns:
    a new object of class 'Sybase ASE Role'.

### createSybaseASECache

    SybaseASECache createSybaseASECache()

  Returns a new object of class 'Sybase ASE Cache'.

  Returns:
    a new object of class 'Sybase ASE Cache'.

### createSybaseASEViewTable

    SybaseASEViewTable createSybaseASEViewTable()

  Returns a new object of class 'Sybase ASE View Table'.

  Returns:
    a new object of class 'Sybase ASE View Table'.

### createSybaseASETempTable

    SybaseASETempTable createSybaseASETempTable()

  Returns a new object of class 'Sybase ASE Temp Table'.

  Returns:
    a new object of class 'Sybase ASE Temp Table'.

### createSybaseASEProxyTable

    SybaseASEProxyTable createSybaseASEProxyTable()

  Returns a new object of class 'Sybase ASE Proxy Table'.

  Returns:
    a new object of class 'Sybase ASE Proxy Table'.

### createSybaseASEWebServiceTable

    SybaseASEWebServiceTable createSybaseASEWebServiceTable()

  Returns a new object of class 'Sybase ASE Web Service Table'.

  Returns:
    a new object of class 'Sybase ASE Web Service Table'.

### createSybaseASEBaseTable

    SybaseASEBaseTable createSybaseASEBaseTable()

  Returns a new object of class 'Sybase ASE Base Table'.

  Returns:
    a new object of class 'Sybase ASE Base Table'.

### createSybaseASEUser

    SybaseASEUser createSybaseASEUser()

  Returns a new object of class 'Sybase ASE User'.

  Returns:
    a new object of class 'Sybase ASE User'.

### createSybaseASEGroup

    SybaseASEGroup createSybaseASEGroup()

  Returns a new object of class 'Sybase ASE Group'.

  Returns:
    a new object of class 'Sybase ASE Group'.

### createSybaseASEPrivilege

    SybaseASEPrivilege createSybaseASEPrivilege()

  Returns a new object of class 'Sybase ASE Privilege'.

  Returns:
    a new object of class 'Sybase ASE Privilege'.

### createSybaseASETrigger

    SybaseASETrigger createSybaseASETrigger()

  Returns a new object of class 'Sybase ASE Trigger'.

  Returns:
    a new object of class 'Sybase ASE Trigger'.

### createSybaseASECheckConstraint

    SybaseASECheckConstraint createSybaseASECheckConstraint()

  Returns a new object of class 'Sybase ASE Check Constraint'.

  Returns:
    a new object of class 'Sybase ASE Check Constraint'.

### getSybaseasesqlmodelPackage

    SybaseasesqlmodelPackage getSybaseasesqlmodelPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.